Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.discovery
Class IncomingMulticastRequest

    java.lang.Object
      net.jini.discovery.IncomingMulticastRequest

public class IncomingMulticastRequest
extends Object

Encapsulate the details of unmarshaling an incoming multicast request packet.

See Also:
  `OutgoingMulticastRequest`

Field Summary
`protected InetAddress` | `addr` The address to which any responses should go.
`protected String[]` | `groups` The groups in which the requestor is interested.
`protected int` | `port` The port to which any responses should connect.
`protected int` | `protoVersion` The current version of the multicast request protocol.
`protected ServiceID[]` | `serviceIDs` The ServiceIDs from which the requestor has already heard.

Constructor Summary
`IncomingMulticastRequest(DatagramPacket dgram)` Construct a new object, initialized from the contents of the given multicast request packet.

Method Summary
`boolean` | `equals(Object o)` Two requests are equal if they have the same address, port, groups, and service IDs.
`InetAddress` | `getAddress()` Return the address of the host to contact in order to start unicast discovery.
`String[]` | `getGroups()` Return the set of groups in which the requestor is interested.
`int` | `getPort()` Return the number of the port to connect to on the remote host in order to start unicast discovery.
`ServiceID[]` | `getServiceIDs()` Return a set of ServiceIDs from which the requestor has already heard.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addr

    protected InetAddress addr

  The address to which any responses should go.

### port

    protected int port

  The port to which any responses should connect.

### serviceIDs

    protected ServiceID[] serviceIDs

  The ServiceIDs from which the requestor has already heard. This set may not be complete.

### groups

    protected String[] groups

  The groups in which the requestor is interested. This set may not be complete.

### protoVersion

    protected final int protoVersion

  The current version of the multicast request protocol.

  See Also:
    Constant Field Values

Constructor Detail

### IncomingMulticastRequest

    public IncomingMulticastRequest(DatagramPacket dgram)
                             throws IOException

  Construct a new object, initialized from the contents of the given multicast request packet.

Parameters:
  `dgram` - the packet to unmarshal
Throws:
  `IOException` - a problem occurred while unmarshaling the packet

Method Detail

### getAddress

    public InetAddress getAddress()

  Return the address of the host to contact in order to start unicast discovery.

  Returns:
    the address of the host to contact in order to start unicast discovery

### getPort

    public int getPort()

  Return the number of the port to connect to on the remote host in order to start unicast discovery.

  Returns:
    the number of the port to connect to on the remote host in order to start unicast discovery

### getGroups

    public String[] getGroups()

  Return the set of groups in which the requestor is interested. This set may not be complete, but other incoming packets should contain the rest of the set.

  Returns:
    the set of groups in which the requestor is interested.

### getServiceIDs

    public ServiceID[] getServiceIDs()

  Return a set of ServiceIDs from which the requestor has already heard. This set may not be complete.

  Returns:
    a set of service IDs from which the requestor has already heard

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

  Two requests are equal if they have the same address, port, groups, and service IDs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved